# SourcePath: pango/20180320dev
Summary: pango: Library for layout and rendering of internationalized text
Name: sony-target-dev-pango
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pango
Version: 1.40.3
Release: 12010001
Source: pango-%{version}.tar.xz
License: LGPLv2.0+ 
URL: http://ftp.gnome.org/pub/GNOME/sources/pango
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-cairo
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-harfbuzz
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-fontconfig

%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

%package -n %{pkgname}
Summary: pango: Library for layout and rendering of internationalized text
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

%prep
%setup -n pango-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure --enable-gtk-doc-html=no --with-xft \
    --sysconfdir=%{sony_target_dev_sysconf_dir}
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir} \
    ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/pango
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man1/pango-*
%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/pango-1.0/pango/pango*
%{sony_target_dir}%{sony_target_dev_bin_dir}/pango-view
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpango*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/pango*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 20 2018 Sony Corporation
- Version up 1.37.3 -> 1.40.3

* Fri Dec 15 2017 Sony Corporation
- Version up 1.36.8 -> 1.37.3

* Fri Aug 23 2013 Sony Corporation
- Version up 1.20.3 -> 1.35.0

* Tue Jun 17 2008 Sony Corporation
- Initial build

